fwb_compile_all(1)

NAME
fwb_compile_all - Wrapper script that compiles policies for multiple firewall objects

SYNOPSIS

fwb_compile_all -ffile.xml [-dwdir] [-av] [obj[ obj ...]]

DESCRIPTION

fwb_compile_all is a wrapper script that compiles policies for several firewall objects in one batch job. This script takes a list of firewall object names on the command line (or '-a' command line option, see below) and calls policy compiler for each one. The script correctly determines which policy compiler is needed depending on the firewall platform of each object.

OPTIONS

-a  The script processes all firewall objects in the "/Firewalls" subtree.

-d wdir
    Specify working directory. Compiler creates file with iptables script in this directory. If this parameter is missing, then iptables script will be placed in the current working directory.

-f FILE
    Specify the name of the data file to be processed.

-v  Script passes this option to the compiler, this makes it print diagnostic messages indicating its progress.

URL
Firewall Builder home page is located at the following URL: http://www.fwbuilder.org/

BUGS
Please report bugs using bug tracking system on SourceForge:

http://sourceforge.net/tracker/?group_id=5314&atid=105314

SEE ALSO
fwbuilder(1), fwb_ipt(1) fwb_ipf(1) fwb_pf(1) fwbedit(1), fwblookup(1)